This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 612330 - remove externalizable strategy code
remove externalizable strategy code
Status: NEW
Product: RHQ Project
Classification: Other
Component: Communications Subsystem (Show other bugs)
3.0.0
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 17:52 EDT by John Mazzitelli
Modified: 2015-02-01 18:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2010-07-07 17:52:18 EDT
we no longer use these, remove them and all references to them:

org.rhq.enterprise.gui.startup.ExternalizableStrategyCommandListener
org.rhq.enterprise.agent.ExternalizableStrategyCommandPreprocessor

note: remove it from agent-configuration.xml too (there are other .xml files that have these too -search for "ExternalizableStrategy" in *.xml
Comment 1 Joseph Marques 2010-09-24 12:18:09 EDT
are you sure we can remove ExternalizableStrategy completely?  it has 3 options today - agent, remoteapi, and reflective_serialization.  aren't at least 2 of these still in use?
Comment 2 John Mazzitelli 2010-09-24 12:40:04 EDT
it can't be used for agent-server traffic because all the writeExternal/readExternal methods from the domain objects have been commented out. Those are the methods that used this externalizable strategy.
Comment 3 Jay Shaughnessy 2014-06-02 15:13:18 EDT
I fear this is still around and we could likely get rid of it to simplify things.

Note You need to log in before you can comment on or make changes to this bug.